org.apache.lucene.codecs.bloom

## Class TestBloomFilteredLucenePostings

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.bloom.TestBloomFilteredLucenePostings

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public final class TestBloomFilteredLucenePostings
      extends PostingsFormat

  A class used for testing `BloomFilteringPostingsFormat` with a concrete delegate (Lucene41). Creates a Bloom filter on ALL fields and with tiny amounts of memory reserved for the filter. DO NOT USE IN A PRODUCTION APPLICATION This is not a realistic application of Bloom Filters as they ordinarily are larger and operate on only primary key type fields.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestBloomFilteredLucenePostings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldsConsumer` | `fieldsConsumer(SegmentWriteState state)`
    `FieldsProducer` | `fieldsProducer(SegmentReadState state)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

      `availablePostingsFormats, forName, getName, reloadPostingsFormats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestBloomFilteredLucenePostings

          public TestBloomFilteredLucenePostings()

  - ### Method Detail

    - #### fieldsConsumer

          public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                        throws IOException

      Specified by:
        `fieldsConsumer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### fieldsProducer

          public FieldsProducer fieldsProducer(SegmentReadState state)
                                        throws IOException

      Specified by:
        `fieldsProducer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PostingsFormat`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.